{% extends "admin/base.html" %}
{% block content %}
<div class="content container-fluid">
<div class="row">
 <div class="col-sm-8">
   <h4 class="page-title">Makes</h4>
 </div>
 <div class="col-sm-4 text-right m-b-30">
   {% if current_user.role.permissions.create_inventory == True %}<a href="{{ url_for('main.add_make') }}" class="btn btn-primary rounded"><i class="fa fa-plus"></i>Add make</a>{% endif %}
 </div>
</div>
<div class="row">
 <div class="col-md-12">
   <div class="table-responsive" id="alert">
     <table id="table-data" class="table table-striped custom-table">
       <thead>
         <tr>
           <th>#</th>
           <th>Make</th>
           <th>model</th>
           <th>Action</th>
         </tr>
       </thead>
       <tbody id="tab">
         {% for make in makes %}

         <tr id='del{{ make.id }}'>
           <td>{{ loop.index }}</td>
            <td>{{ make.make }}</td>
            <td>{{make.model }}</td>

           <td class="text-right">
             <div class="dropdown">
               <a href="#" class="action-icon dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="fa fa-ellipsis-v"></i></a>
               <ul class="dropdown-menu pull-right">
                 {% if current_user.role.permissions.delete_inventory == True %}<li><a href="#" onclick="delete_row('{{ make.id }}','Vehicle', '#del{{ make.id }}')"><i class="fa fa-trash-o m-r-5"></i> Delete</a></li> {% endif %}
               </ul>
             </div>
           </td>
         </tr>
          {% endfor %}
      </tbody>
     </table>
   </div>
 </div>
</div>
     </div>
{% endblock %}

{% block scripts %}
{{ super() }}
<script>
// $(document).ready(function() {
//     $('#table-data').DataTable( {
//         "processing": true,
//         "serverSide": true,
//         "ajax": ""
//     } );
// } );
$(document).ready(function() {
    var groupColumn = 1;
    var table = $('#table-data').DataTable({
        "columnDefs": [
            { "visible": false, "targets": groupColumn }
        ],
        "order": [[ groupColumn, 'asc' ]],
        "displayLength": 10,
        "drawCallback": function ( settings ) {
            var api = this.api();
            var rows = api.rows( {page:'current'} ).nodes();
            var last=null;

            api.column(groupColumn, {page:'current'} ).data().each( function ( group, i ) {
                if ( last !== group ) {
                    $(rows).eq( i ).before(
                        '<tr style="background:#ddd !important" class="group"><td colspan="5">'+group+'</td></tr>'
                    );

                    last = group;
                }
            } );
        }
    } );

    // Order by the grouping
    $('#table-data').on( 'click', 'tr.group', function () {
        var currentOrder = table.order()[0];
        if ( currentOrder[0] === groupColumn && currentOrder[1] === 'asc' ) {
            table.order( [ groupColumn, 'desc' ] ).draw();
        }
        else {
            table.order( [ groupColumn, 'asc' ] ).draw();
        }
    } );
} );
</script>
{% endblock %}
